/* Customização da sidebar */

/*
 * Permite que o dropdown seja renderizado fora da sidebar.
 */
.fi-sidebar-item {
    position: static !important;
}

/* Customização do plugin FilamentSubNavigation */

/* Evita de transforma que faz o dropdown desaparecer na hora
que ele termina de aparecer. */
.sub-nav-dropdown {
    transform: none !important;
    min-width: 300px !important;
}

/* Fix das badges girando */
:not([data-sub-nav-processed]) > a > span > .fi-badge {
    transform: none !important;
}

@media screen and (min-width: 768px) {
    /* Coloca o dropdown na esquerda */
    .sub-nav-dropdown {
        left: 100% !important;
        right: auto !important;
    }


    /* Altera a seta pra ficar na direção do dropdown */
    [data-sub-nav-processed] .fi-badge {
        transform: rotateZ(-90deg);
    }
    [data-sub-nav-processed]:hover .fi-badge {
        transform: rotateZ(90deg);
    }
}


@media (max-width: 768px) {
    .sub-nav-dropdown {
        --offset-left: 24px;
        --offset-right: 8px;
        --sidebar-width: 320px;

        min-width: 180px !important;
        max-width: calc(var(--sidebar-width) - var(--offset-left) - var(--offset-right)) !important;
        left: var(--offset-left) !important;
        right: 0px !important;
    }
}
